class ComboItem {
  String? shopImg;
  String? shopId;
  String? shopTitle;
  String? distance;
  String? itemTitle;
  String? endPrice;
  String? dealType;
  String? commentScore;
  String? address;
  String? originalPrice;
  String? userCommission;
  String? userCommissionText;
  String? dealId;

  ComboItem(
      {this.shopImg,
      this.shopId,
      this.shopTitle,
      this.distance,
      this.itemTitle,
      this.endPrice,
      this.dealType,
      this.commentScore,
      this.address,
      this.originalPrice,
      this.userCommission,
      this.userCommissionText,
      this.dealId});

  ComboItem.fromJson(Map<String, dynamic> json) {
    shopImg = json['shop_img'];
    shopId = json['shop_id'];
    shopTitle = json['shop_title'];
    distance = json['distance'];
    itemTitle = json['item_title'];
    endPrice = json['end_price'];
    dealType = json['deal_type'];
    commentScore = json['comment_score'];
    address = json['address'];
    originalPrice = json['original_price'];
    userCommission = json['user_commission'];
    userCommissionText = json['user_commission_text'];
    dealId = json['deal_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['shop_img'] = this.shopImg;
    data['shop_id'] = this.shopId;
    data['shop_title'] = this.shopTitle;
    data['distance'] = this.distance;
    data['item_title'] = this.itemTitle;
    data['end_price'] = this.endPrice;
    data['deal_type'] = this.dealType;
    data['comment_score'] = this.commentScore;
    data['address'] = this.address;
    data['original_price'] = this.originalPrice;
    data['user_commission'] = this.userCommission;
    data['user_commission_text'] = this.userCommissionText;
    data['deal_id'] = this.dealId;
    return data;
  }
}
