class SecKillGoods {
  static SecKillGoods fromJson(Map<String, dynamic>? json) {
    return SecKillGoods.from(json!);
  }

  String? itemTitle;
  String? itemPic;
  String? endPrice;
  String? originalPrice;
  String? soldPercent;
  String? menuText;
  String? volumeText;
  String? address;
  String? distance;
  String? couponUrl;
  String? isRedirect;
  String? userCommission;
  String? userCommissionText;

  SecKillGoods(
      {this.itemTitle,
      this.itemPic,
      this.endPrice,
      this.originalPrice,
      this.soldPercent,
      this.menuText,
      this.volumeText,
      this.address,
      this.distance,
      this.couponUrl,
      this.isRedirect,
      this.userCommission,
      this.userCommissionText});

  SecKillGoods.from(Map<String, dynamic> json) {
    itemTitle = json['item_title'];
    itemPic = json['item_pic'];
    endPrice = json['end_price'];
    originalPrice = json['original_price'];
    soldPercent = json['sold_percent'];
    menuText = json['menu_text'];
    volumeText = json['volume_text'];
    address = json['address'];
    distance = json['distance'];
    couponUrl = json['coupon_url'];
    isRedirect = json['is_redirect'];
    userCommission = json['user_commission'];
    userCommissionText = json['user_commission_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['item_title'] = this.itemTitle;
    data['item_pic'] = this.itemPic;
    data['end_price'] = this.endPrice;
    data['original_price'] = this.originalPrice;
    data['sold_percent'] = this.soldPercent;
    data['menu_text'] = this.menuText;
    data['volume_text'] = this.volumeText;
    data['address'] = this.address;
    data['distance'] = this.distance;
    data['coupon_url'] = this.couponUrl;
    data['is_redirect'] = this.isRedirect;
    data['user_commission'] = this.userCommission;
    data['user_commission_text'] = this.userCommissionText;
    return data;
  }
}
