import './combo_item.dart';
import './restaurant_item.dart';

class ShopItemEntity {
  static ShopItemEntity fromJson(Map<String, dynamic>? json) {
    return ShopItemEntity.from(json!);
  }

  // 0 优惠店铺,1 优惠套餐
  int? type;
  ComboItem? combo;
  RestaurantItem? restaurant;

  ShopItemEntity.from(Map<String, dynamic> json) {
    type = json['item_list'] != null ? 0 : 1;
    if (type == 0) {
      restaurant = RestaurantItem.fromJson(json);
    } else if (type == 1) {
      combo = ComboItem.fromJson(json);
    }
  }
}
