import 'shop_recommend_item_entity.dart';
import 'shop_comment_item_entity.dart';

class ShopOuterInfoEntity {
  static ShopOuterInfoEntity fromJson(Map<String, dynamic>? json) {
    return ShopOuterInfoEntity.from(json!);
  }

  List<ShopRecommendItemEntity> recommendItemEntitys = [];
  List<ShopCommentItemEntity> commentItemEntitys  = [];

  ShopOuterInfoEntity.from(Map<String, dynamic> json) {
    recommendItemEntitys = [];
    commentItemEntitys = [];
    json['recommend_list'].forEach((item) {
      recommendItemEntitys.add(ShopRecommendItemEntity.fromJson(item));
    });
    json['comment_list'].forEach((item) {
      commentItemEntitys.add(ShopCommentItemEntity.fromJson(item));
    });
  }
}
