class SeckillSession {
  static SeckillSession fromJson(Map<String, dynamic>? json) {
    return SeckillSession.from(json!);
  }

  String? id;
  String? text;
  String? statusText;

  SeckillSession({this.id, this.text, this.statusText});

  SeckillSession.from(Map<String, dynamic> json) {
    id = json['id'];
    text = json['text'];
    statusText = json['status_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['text'] = this.text;
    data['status_text'] = this.statusText;
    return data;
  }
}
